> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nueborder.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Good

> Retrieves the details of an imported good based on the provided company ID and report ID.



## OpenAPI

````yaml api-reference/openapi.json get /v1/companies/{company_id}/reports/{report_id}/imported-good
openapi: 3.0.0
info:
  description: Validate, store, and query compliance carbon data.
  title: NueBorder API
  termsOfService: https://nueborder.com/terms/
  contact:
    name: Jack Dunlap
    url: https://nueborder.com/support
    email: support@nueborder.com
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://nueborder.com/api/v1
security: []
externalDocs:
  description: OpenAPI
  url: https://nueborder.com/openapi/
paths:
  /v1/companies/{company_id}/reports/{report_id}/imported-good:
    get:
      tags:
        - Imported Good
      summary: Get Good
      description: >-
        Retrieves the details of an imported good based on the provided company
        ID and report ID.
      parameters:
        - description: Unique identifier for the company associated with the imported good
          name: company_id
          in: path
          required: true
          schema:
            type: string
        - description: Unique identifier for the report associated with the imported good
          name: report_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Details of the imported good
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.GetImportedGoodsGeneralResponse'
        '400':
          description: Request is missing or contains an invalid company_id or report_id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.JSONPayloadErrorResponse'
        '500':
          description: An error occurred while retrieving the imported good
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.InternalServerErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.GetImportedGoodsGeneralResponse:
      description: >-
        Contains a list of imported goods types, which are critical for
        assessing imported goods under the EU CBAM regulatory framework.
      type: object
      properties:
        importedGoodType:
          type: array
          items:
            $ref: '#/components/schemas/flat.ImportedGoodType'
        message:
          description: A detailed success message.
          type: string
          example: Operation completed successfully
        status:
          description: HTTP status code.
          type: integer
          example: 200
    models.JSONPayloadErrorResponse:
      description: A response indicating that the JSON payload is invalid.
      type: object
      properties:
        message:
          description: A detailed error message.
          type: string
          example: The JSON payload is invalid
        status:
          description: HTTP status code.
          type: integer
          example: 400
    models.InternalServerErrorResponse:
      description: A response indicating that an internal server error occurred.
      type: object
      properties:
        message:
          description: A detailed error message.
          type: string
          example: An internal server error occurred
        status:
          description: HTTP status code.
          type: integer
          example: 500
    flat.ImportedGoodType:
      description: Summary of Struct
      type: object
      required:
        - additional_information
        - cn_code
        - description
        - hs_code
        - importer_address_city
        - importer_address_country
        - importer_identification_number
        - importer_name
        - measurement_unit
        - origin_country
        - representative_address_city
        - representative_address_country
        - representative_identification_number
        - representative_name
      properties:
        additional_information:
          description: >-
            Additional Information Additional Information (Min Length: 1, Max
            Length: 512)
          type: string
          example: Goods' additional information
        cn_code:
          description: >-
            This is the CN Code of the CBAM Good. It is a 2-digit code that is
            added in the HS code. (Min Length: 8, Max Length: 8)
          type: string
          example: '76090000'
        companyID:
          description: Company identifier
          type: integer
        createdAt:
          description: Creation time
          type: string
        description:
          description: >-
            This is an element that can be used in order to describe the CBAM
            Good. (Min Length: 1, Max Length: 512)
          type: string
          example: >-
            Aluminium tube or pipe fittings (for example, couplings, elbows,
            sleeves)
        hs_code:
          description: '(Min Length: 6, Max Length: 6)'
          type: string
          example: '760900'
        importer_address_city:
          description: >-
            The city where the importer is located. The city where the operator
            is located. (Min Length: 1, Max Length: 35)
          type: string
          example: Declarant city
        importer_address_country:
          description: >-
            The country where the Importer is established (Min Length: 2, Max
            Length: 2)
          type: string
          example: BE
        importer_identification_number:
          description: >-
            The Importer's Economic Operators Registration and Identification
            The Importer's Economic Operators Registration and Identification
            (EORI) Number (EORI) Number (Min Length: 1, Max Length: 17)
          type: string
          example: GR293847584930295
        importer_name:
          description: >-
            The full name The full name (person or company) of the importer.
            (person or company) of the importer. (Min Length: 1, Max Length: 70)
          type: string
          example: Declarant CBAM
        internalReportID:
          description: Internal report ID
          type: integer
        item_number:
          description: >-
            This element specifies the item number of every CBAM Good imported
            of the CBAM Report. It is a sequential number starting at 1.
            (Pattern: \d{1,5})
          type: integer
          example: 1
        measurement_unit:
          description: >-
            The type of measurement unit of the quantity of the CBAM Good. The
            type of measurement unit of the quantity of the CBAM Good. The type
            of measurement unit of the quantity of the CBAM Good. (Min Length:
            1, Max Length: 5)
          type: string
          example: '01'
        organizationID:
          description: Organization identifier
          type: integer
        origin_country:
          description: 'The two letter code of a country. (Min Length: 2, Max Length: 2)'
          type: string
          example: TR
        representative_address_city:
          description: >-
            The city where the Reprentative is located. (Min Length: 1, Max
            Length: 35)
          type: string
          example: Declarant city
        representative_address_country:
          description: >-
            The country where the Indirect customs representative is
            established  (Min Length: 2, Max Length: 2)
          type: string
          example: BE
        representative_identification_number:
          description: >-
            The Representative's Economic Operators Registration and
            Identification The Representative's Economic Operators Registration
            and Identification (EORI) Number (EORI) Number (Min Length: 1, Max
            Length: 17)
          type: string
          example: IT293847584930295
        representative_name:
          description: >-
            The full name The full name (person or company) of the Indirect
            customs representative. (person or company) of the Indirect customs
            representative. (Min Length: 1, Max Length: 70)
          type: string
          example: Representative CBAM
        supporting_documents:
          description: (max-occurs=99)
          type: array
          items:
            $ref: '#/components/schemas/flat.SupportingDocumentsType'
        updatedAt:
          description: Last update time
          type: string
        updatedBy:
          description: Updater identifier
          type: string
        version:
          description: Report Versions
          type: string
    flat.SupportingDocumentsType:
      description: Summary of Struct
      type: object
      required:
        - binary
        - document_type
        - filename
        - item_number
        - mime
        - type
      properties:
        binary:
          description: The actual binary object. The actual binary object.
          type: array
          items:
            type: integer
        companyID:
          description: Company identifier
          type: integer
        country:
          description: >-
            The country where the supporting document was issued. The country
            where the supporting document was issued. (Min Length: 2, Max
            Length: 2)
          type: string
          example: CA
        createdAt:
          description: Creation time
          type: string
        description:
          description: >-
            A text element to describe the supporting document. A text element
            to describe the supporting document. (Min Length: 1, Max Length:
            256)
          type: string
          example: Description
        document_type:
          description: Document type
          type: string
          enum:
            - GENERAL
            - EMISSIONS
        filename:
          description: >-
            The file name of the attachment. The file name of the attachment.
            (Min Length: 1, Max Length: 256)
          type: string
          example: Supporting_document_01.docx
        internalReportID:
          description: Internal report ID
          type: integer
        issuing_auth_name:
          description: >-
            The authority that issued the supporting document. The authority
            that issued the supporting document. (Min Length: 1, Max Length: 70)
          type: string
          example: Issuing authority name
        item_number:
          description: >-
            Import Good Item Number, sequencial This element specifies the item
            number of every CBAM Good imported of the CBAM Report. It is a
            sequential number starting at 1. (1,2..)
          type: string
          example: '1'
        line_item_number:
          description: >-
            The document line item number is the number of the Goods imported
            entry in which the supporting documents corresponding to. The
            document line item number is the number of the Goods imported entry
            in which the supporting documents corresponding to. (Pattern:
            \d{1,5})
          type: integer
          example: 88888
        mime:
          description: >-
            The MIME of the attachment. The MIME of the attachment. (Min Length:
            1, Max Length: 71)
          type: string
          example: >-
            application/vnd.openxmlformats-officedocument.wordprocessingml.document
        organizationID:
          description: Organization identifier
          type: integer
        reference_number:
          description: >-
            The reference number of the supporting document. The reference
            number of the supporting document. (Min Length: 1, Max Length: 70)
          type: string
          example: 01 Reference number
        sequence_number:
          description: 'Supporting document sequence number. (Pattern: \d{1,5})'
          type: integer
          example: 1
        type:
          description: >-
            The type of supporting document This element is used to define the
            type of emissions document that is declared. It is in the Supporting
            Documents (for emissions definition). (it is in the Supporting
            Documents (for Goods)). (Min Length: 4, Max Length: 4)
          type: string
          example: '01'
        updatedAt:
          description: Last update time
          type: string
        updatedBy:
          description: Updater identifier
          type: string
        uri:
          description: >-
            The URI link of an attachment. The URI link of an attachment. (Min
            Length: 1, Max Length: 2048)
          type: string
        validity_end_date:
          description: >-
            The end date of validity of the supporting document. The end date of
            validity of the supporting document. (Pattern: \d{4}-\d\d-\d\d)
          type: string
          example: 1/1/24
        validity_start_date:
          description: >-
            The start date of validity of the supporting document. The start
            date of validity of the supporting document. (Pattern:
            \d{4}-\d\d-\d\d)
          type: string
          example: 1/1/24
        version:
          description: Report Versions
          type: string
  securitySchemes:
    BearerAuth:
      description: 'Provide your Bearer token in the format: Bearer <your_api_key>'
      type: apiKey
      name: Authorization
      in: header

````